Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
romeo1982

cần giúp đỡ lisp lệnh tắt

Các bài được khuyến nghị

romeo1982    19

tôi viết líp để tiện sử dụng lệnh tắt như thế này:

(load "acettest.fas")

(c:expresstools)

(defun c:a( ) (command ".array"))

(defun c:aa( ) (command ".align"))

(defun c:r( ) (command ".rectang"))

(defun c:rr( ) (command ".rotate"))

(defun c:d( ) (command ".dimlinear"))

(defun c:dd( ) (command ".dist"))

(defun c:ddd( ) (command ".dimstyle"))

(defun c:dm( ) (command ".dimaligned"))

(defun c:dc( ) (command ".dimcontinue"))

(defun c:c( ) (command ".copy"))

(defun c:li( ) (command ".layiso"))

(defun c:lo( ) (command ".layon"))

(defun c:loo( ) (command ".layoff"))

(defun c:cc( ) (command ".circle"))

(defun c:ee( ) (command ".extend"))

(defun c:et( ) (c:extrim))

(defun c:t( ) (command ".trim"))

(defun c:mm( ) (command ".matchprop")

 

 

 

tại sao lệnh extrim lại phải dùng (c:extrim)) thì ADT2007 mới hiểu, làm sao để hiện bảng dimension style manager( tức là lệnh dimsyle), nhờ các cao thủ chỉ dùm

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
duongsatdn    762

Tôi không rành về lisp, nhưng tôi thấy mặc định lệnh D để gọi dimension style manager mà bạn đặt là (defun c:d( ) (command ".dimlinear")) liệu có ổn không?

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
tranchan    92
tôi viết líp để tiện sử dụng lệnh tắt như thế này:

(load "acettest.fas")

(c:expresstools)

(defun c:a( ) (command ".array"))

(defun c:aa( ) (command ".align"))

 

 

 

tại sao lệnh extrim lại phải dùng (c:extrim)) thì ADT2007 mới hiểu, làm sao để hiện bảng dimension style manager( tức là lệnh dimsyle), nhờ các cao thủ chỉ dùm

 

 

Ông bạn này lạm dụng quá , có mấy dòng đó sao ko đổi trong acad.pgp theo cú fáp

 

lenhtat, *lenhnguyenthuy

vd:

mm, *matchprop. Apply nó cũng dc vậy . Cần gì đem dao mổ trâu giết...1 con gà làm gì hêhề

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
romeo1982    19
Ông bạn này lạm dụng quá , có mấy dòng đó sao ko đổi trong acad.pgp theo cú fáp

 

lenhtat, *lenhnguyenthuy

vd:

mm, *matchprop. Apply nó cũng dc vậy . Cần gì đem dao mổ trâu giết...1 con gà làm gì hêhề

tôi làm file này để khi cần sang 1 máy nào đó làm việc bất đắc dĩ ông ạh

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
exitdream    3

Em cũng đang làm Lisp nhưng cũng xin góp ý kiến nhỏ thế này ... Em thấy cách bác đặt film ko hợp lí lắm đặc biệt là các phím LO , LOO ,DM, MM . Khi bác thực hiện thao tác với các phím này thì em nghĩ chắc chắn bác phải nhìn bàn phím rồi vì bàn tay phải di chuyên vị trí ... Theo em tốt nhất bác nên đặt các phím nằm trong bàn tay trái , Ví dụ như : VE, CC ,VV, ER .... đừng đặt sang bàn tai phải với các phím như L,M O, P .... Tuy nó có thể chả liên quan rì đến câu lệnh Ví dụ như bác đặt VV là MOVE ...mới đàu ko quen nhưng về sau khi bác làm sẽ chả cần nhin bàn phismd dau mà < mà đồng nghiệp bác có nhìn cũng chả hiểu bác đang làm rì đâu >

Nhân tiện em xin hỏi cái LAYON, LAYOFF, LAYISO ....trong cad 2007 đã cõ sẵn rồi đúng ko ạ , nhưng em muốn tạo 1 LISP về các cái đó đẻ đem sang máy khác dùng cad 2k4 chẳng hạn thì làm thế nào ạ ..... Em tìm mãi trên diễn đàn chả thấy đâu ..

Có gì ko phải xin phép lượng thứ cho

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay


×